#!/bin/sh

set -e

cwd="$(pwd)"
dtests="$cwd/debian/tests"

for py in $(py3versions -s | tr ' ' "\n" | sort -V); do
	printf '\n\n\n===== %s\n\n\n' "$py"
	env PYTHONPATH="$dtests/python" python3 -B -u -m temptest -v --srcdir "$cwd"
done
